readVCFToMatrixByRange {seqminer} | R Documentation

## Read a gene from VCF file and return a genotype matrix

### Description

Read a gene from VCF file and return a genotype matrix

### Usage

    readVCFToMatrixByRange(fileName, range, annoType)

### Arguments

`fileName` | character, represents an input VCF file (Bgzipped, with Tabix index)
`range` | character, a text indicating which range in the VCF file to extract. e.g. 1:100-200
`annoType` | character, annotated types you would like to extract, such as "Nonsynonymous", "Synonymous". This can be left empty.

### Value

genotype matrix

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    fileName = system.file("vcf/all.anno.filtered.extract.vcf.gz", package = "seqminer")
    cfh <- readVCFToMatrixByRange(fileName, "1:196621007-196716634", "Nonsynonymous")

[Package seqminer version 7.1 Index]